<h5
class="eui-u-f-l-bold">{{ 'app.features.asset.details.transactionsTable.title' | translate }}</h5>
<div class="eui-table__scrollable-wrapper">
  <table
    euiTable
    [euiTableResponsive]="true"
    [isHoverable]="true"
    [rows]="transactionsData">
    <ng-template euiTemplate="header">
      <tr>
        <th defaultOrder sortable sortOn="title">
          {{ 'app.features.asset.details.transactionsTable.columns.title' | translate }}
        </th>
        <th sortable sortOn="description">
          {{ 'app.features.asset.details.transactionsTable.columns.description' | translate }}
        </th>
        <th sortable sortOn="type">
          {{ 'app.features.asset.details.transactionsTable.columns.type' | translate }}
        </th>
        <th>
          {{ 'app.features.asset.details.transactionsTable.columns.component' | translate }}
        </th>
        <th sortable sortOn="subject">
          {{ 'app.features.asset.details.transactionsTable.columns.subject' | translate }}
        </th>
        <th class="eui-u-width-1"></th>
      </tr>
    </ng-template>
    <ng-template let-row euiTemplate="body">
      <tr>
        <td data-col-label="title">{{ row?.title }}</td>
        <td data-col-label="description">{{ row?.description }}</td>
        <td data-col-label="type">{{ row?.type }}</td>
        <td data-col-label="component">
          @for (component of row?.components; track component) {
            <eui-chip
              [euiOutline]="true"
              euiPrimary
              class="eui-u-mr-2xs eui-u-mb-2xs">
              <span
                euiTooltip="{{('app.features.sr.assetsList.table.chips.tooltip.transactionComponent.' + component) | translate }}"
              euiLabel>{{ component }}</span>
            </eui-chip>
          }
        </td>
        <td data-col-label="subject"> {{ row.subject }}</td>
        <td>
          <div class="eui-u-text-right">
            <button
              class="eui-u-ml-s"
              euiButton
              euiBranding
              [euiOutline]="true"
              (click)="onFindAssetsClicked(row)">
              <eui-icon-svg icon="search" set="outline" size="m"></eui-icon-svg>
              {{ 'app.features.asset.details.transactionsTable.label.find' | translate }}
            </button>
          </div>
        </td>
      </tr>
    </ng-template>
  </table>
</div>
